OS := $(shell uname -s)

# dmenu version
VERSION = 5.2

# paths
ifeq ($(OS),Linux)
PREFIX = /usr
MANPREFIX = $(PREFIX)/share/man
endif
ifeq ($(OS),FreeBSD)
PREFIX = /usr/local
MANPREFIX = $(PREFIX)/share/man
endif
ifeq ($(OS),OpenBSD)
PREFIX = /usr/local
MANPREFIX = $(PREFIX)/man
endif

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib
ifeq ($(OS),FreeBSD)
X11INC = ${PREFIX}/include
X11LIB = ${PREFIX}/lib
endif

# Xinerama, comment if you don't want it
XINERAMALIBS  = -lXinerama
XINERAMAFLAGS = -DXINERAMA

# freetype
FREETYPELIBS = -lfontconfig -lXft
FREETYPEINC = ${PREFIX}/include/freetype2
ifeq ($(OS),OpenBSD)
FREETYPEINC = $(X11INC)/freetype2
endif

# includes and libs
INCS = -I$(X11INC) -I$(FREETYPEINC)
LIBS = -L$(X11LIB) -lX11 $(XINERAMALIBS) $(FREETYPELIBS)

# flags
CPPFLAGS = -D_DEFAULT_SOURCE -D_BSD_SOURCE -D_XOPEN_SOURCE=700 -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\" $(XINERAMAFLAGS)
CFLAGS   = -std=c99 -pedantic -Wall -Os $(INCS) $(CPPFLAGS)
LDFLAGS  = $(LIBS)

# compiler and linker
CC = cc
